MP4(3)

NAME

MP4SetVerbosity - Sets the level of diagnostic information

SYNTAX

#include <mp4.h>

bool MP4SetVerbosity(
        MP4FileHandle hFile,
        u_int32_t verbosity
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

verbosity
    Specifies a bitmask of diagnostic details the library should print to stdout during its functioning. The default is to operate silently. Possible values are:
        MP4_DETAILS_ERROR    Reasons for errors
        MP4_DETAILS_WARNING    Warnings
        MP4_DETAILS_READ    Read operations
        MP4_DETAILS_WRITE    Write operations
        MP4_DETAILS_FIND    Find property operations
        MP4_DETAILS_TABLE    Per table entry info
        MP4_DETAILS_SAMPLE    Per sample info
        MP4_DETAILS_HINT    Per RTP hint info
        MP4_DETAILS_ALL    All possible details

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4SetVerbosity allows control over the level of diagnostic information printed out by the library. It can be called at any time. Since much is done by the library when opening an mp4 file, this function is built into functions such as MP4Create(), MP4Modify(), and MP4Read().

SEE ALSO

MP4(3)